var myApp = new Framework7({
  fastClicks: false
});
 
var $$ = Dom7;
 
var mainView = myApp.addView('.view-main', {
  dynamicNavbar: true
});


var app = new Vue({
  el: "#app",
  data: {
    len: 10,
    numOfBits: 4,
  },
  methods: {
    formatBin: function(val, pos){
      var zeros = "00000000";
      var str = val.toString(2);
      var remain = pos - str.length;
      if (remain > 0)
        str = zeros.substr(0, remain) + str;
      return str;
    },
    oddParityBit: function(val){
      var ones = 0;
      for (var i = 0; i < val.length; i++){
        if (val[i] == 1) ones ++
      }
      if (ones % 2)
        return 0
      else
        return 1
    },
    evenParityBit: function(val){
      var ones = 0;
      for (var i = 0; i < val.length; i++){
        if (val[i] == 1) ones ++
      }
      if (ones % 2)
        return 1
      else
        return 0
    }

  },
  computed: {
    dataBits: function(){
      var arr = [];
      var random = 0;
      var max = Math.pow(2, this.numOfBits);
      for (var i = 0; i < (this.len + 1); i++){
        random = Math.floor(Math.random()*max);
        random = this.formatBin(random, this.numOfBits);
        arr.push(random);
      }
      return arr;

    }
  },
  created: function(){
  }
});

